com.hazelcast.com.fasterxml.jackson.core.util

## Class DefaultPrettyPrinter.NopIndenter

- java.lang.Object
- - com.hazelcast.com.fasterxml.jackson.core.util.DefaultPrettyPrinter.NopIndenter

- All Implemented Interfaces:
    DefaultPrettyPrinter.Indenter, Serializable
  Direct Known Subclasses:
    DefaultIndenter, DefaultPrettyPrinter.FixedSpaceIndenter
  Enclosing class:
    DefaultPrettyPrinter

      public static class DefaultPrettyPrinter.NopIndenter
      extends Object
      implements DefaultPrettyPrinter.Indenter, Serializable

  Dummy implementation that adds no indentation whatsoever
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DefaultPrettyPrinter.NopIndenter` | `instance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NopIndenter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isInline()`
    `void` | `writeIndentation(JsonGenerator g, int level)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static final DefaultPrettyPrinter.NopIndenter instance

  - ### Constructor Detail

    - #### NopIndenter

          public NopIndenter()

  - ### Method Detail

    - #### writeIndentation

          public void writeIndentation(JsonGenerator g,
                                       int level)
                                throws IOException

      Specified by:
        `writeIndentation` in interface `DefaultPrettyPrinter.Indenter`
      Throws:
        `IOException`

    - #### isInline

          public boolean isInline()

      Specified by:
        `isInline` in interface `DefaultPrettyPrinter.Indenter`
      Returns:
        True if indenter is considered inline (does not add linefeeds), false otherwise

Copyright © 2020. All rights reserved.